package com.zhiwei.manage.dao;

import java.util.Date;
import java.util.List;
import java.util.Map;

import com.zhiwei.manage.bean.EasyNews;
import com.zhiwei.manage.bean.News;

public interface NewsDao {

	public List<News> findByNew(int delayedCount,String type,String source);
	
	public List<News> findByFiled(int filedCount,String type,String source);
	
	public long findCount(String spyId,Date start,Date end);
	
	public List<Object> findSource();
	
	public int findBySource(String source,Date start,Date end);
	
	public List<EasyNews> finAllNews(Date start,Date end);
	
//	public List<Map<String,Object>> findNews(String host,int port,String dbNamel,String collection,int count,String id,String pt);
}
